Loading...
Searching...
No Matches
mdds::detail::cref_wrapper< T > Class Template Reference

`#include <cref_wrapper.hpp>`

## Classes

struct | hash

## Public Member Functions

| cref_wrapper (const T &v) noexcept
const T & | get () const noexcept
bool | operator== (const cref_wrapper &r) const
bool | operator!= (const cref_wrapper &r) const

## Detailed Description

template<typename T>
class mdds::detail::cref_wrapper< T >

Custom const reference wrapper with an equality operator and a hash adaptor.